Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354574 - not working the usb modem Huawei E173 [NEEDINFO]
Summary: not working the usb modem Huawei E173
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch-data
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 15:28 UTC by alexhorov
Modified: 2017-08-08 15:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:31:18 UTC
lkundrak: needinfo? (alexhorov)


Attachments (Terms of Use)

Description alexhorov 2016-07-11 15:28:50 UTC
Version-Release number of selected component (if applicable):
usb_modeswitch-data-20160112-1.fc24.noarch.rpm

Additional info:
/var/log/messages:
localhost kernel: usb 1-2: new high-speed USB device number 2 using ehci-pci
localhost kernel: usb 1-2: New USB device found, idVendor=12d1, idProduct=1001
localhost kernel: usb 1-2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
localhost kernel: usb 1-2: Product: HUAWEI Mobile
localhost kernel: usb 1-2: Manufacturer: HUAWEI Technology
localhost mtp-probe: checking bus 1, device 2: "/sys/devices/pci0000:00/0000:00:12.2/usb1/1-2"
localhost mtp-probe: bus: 1, device: 2 was not an MTP device
localhost kernel: usb-storage 1-2:1.0: USB Mass Storage device detected
localhost kernel: usb-storage 1-2:1.1: USB Mass Storage device detected
localhost kernel: usb-storage 1-2:1.2: USB Mass Storage device detected
localhost kernel: usbcore: registered new interface driver usb-storage
localhost kernel: usbcore: registered new interface driver option
localhost kernel: usbserial: USB Serial support registered for GSM modem (1-port)
localhost kernel: option 1-2:1.0: GSM modem (1-port) converter detected
localhost kernel: usb 1-2: GSM modem (1-port) converter now attached to ttyUSB0
localhost kernel: option 1-2:1.1: GSM modem (1-port) converter detected
localhost kernel: usb 1-2: GSM modem (1-port) converter now attached to ttyUSB1
localhost kernel: option 1-2:1.2: GSM modem (1-port) converter detected
localhost kernel: usb 1-2: GSM modem (1-port) converter now attached to ttyUSB2
localhost ModemManager[668]: <warn>  (ttyUSB2): port attributes not fully set
localhost ModemManager[668]: <warn>  (ttyUSB1): port attributes not fully set
localhost ModemManager[668]: <warn>  (ttyUSB0): port attributes not fully set
localhost ModemManager[668]: <warn>  (ttyUSB2): port attributes not fully set
localhost ModemManager[668]: <warn>  (ttyUSB1): port attributes not fully set
localhost ModemManager[668]: <info>  Creating modem with plugin 'Huawei' and '3' ports
localhost ModemManager[668]: <warn>  (ttyUSB2): port attributes not fully set
localhost ModemManager[668]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:12.2/usb1/1-2' successfully created

root@localhost Документы]# lsusb
Bus 001 Device 002: ID 12d1:1001 Huawei Technologies Co., Ltd. E169/E620/E800 HSDPA Modem

note:removed the modem and again inserted into the connector usb

/var/log/messages:
localhost kernel: usb 1-2: new high-speed USB device number 3 using ehci-pci
localhost kernel: usb 1-2: New USB device found, idVendor=12d1, idProduct=1446
localhost kernel: usb 1-2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
localhost kernel: usb 1-2: Product: HUAWEI Mobile
localhost kernel: usb 1-2: Manufacturer: HUAWEI Technology
localhost kernel: usb-storage 1-2:1.0: USB Mass Storage device detected
localhost kernel: scsi host11: usb-storage 1-2:1.0
localhost kernel: usb-storage 1-2:1.1: USB Mass Storage device detected
localhost kernel: scsi host12: usb-storage 1-2:1.1
localhost mtp-probe: checking bus 1, device 3: "/sys/devices/pci0000:00/0000:00:12.2/usb1/1-2"
localhost mtp-probe: bus: 1, device: 3 was not an MTP device
localhost kernel: usbcore: registered new interface driver uas
localhost kernel: scsi 11:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
localhost kernel: scsi 12:0:0:0: Direct-Access     HUAWEI   SD Storage       2.31 PQ: 0 ANSI: 2
localhost kernel: sr 11:0:0:0: [sr1] scsi-1 drive
localhost kernel: sr 11:0:0:0: Attached scsi generic sg2 type 5
localhost kernel: sd 12:0:0:0: Attached scsi generic sg3 type 0
localhost kernel: sd 12:0:0:0: [sdb] Attached SCSI removable disk

[root@localhost Документы]# lsusb
Bus 001 Device 002: ID 12d1:1446 Huawei Technologies Co., Ltd. Broadband stick


note:the modem does not appear in applet NetworkManager

Comment 1 alexhorov 2016-07-13 05:06:28 UTC
If I'm in the terminal I enter the command:
usb_modeswitch -v 12d1 -p 1446 -J

[root@localhost Документы]# lsusb
Bus 001 Device 004: ID 12d1:1436 Huawei Technologies Co., Ltd. Broadband stick

the modem works.

Comment 2 Lubomir Rintel 2016-07-27 07:34:12 UTC
I'm wondering if you could retest with the updated packages from here:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-494a721a73

Thank you,
Lubo

Comment 3 Fedora End Of Life 2017-07-25 21:44:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:31:18 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.